<?php define('WEARNINGS', 1); 
define('H', $_SERVER['DOCUMENT_ROOT'] . '/');
foreach (array('starting', 'compress', 'worldcms', 'function', 'account') as $kernel){
	require_once H.'kernel/' . $kernel . '.php'; }

only_reg();
$set['title']='Мои настройки';
require_once H.'kernel/switch/header.php';
title();

if (isset($_POST['save'])){

if (isset($_POST['show_url']) && ($_POST['show_url']==1 || $_POST['show_url']==0))
{
$user['show_url']=intval($_POST['show_url']);
mysql_query("UPDATE `user` SET `show_url` = '$user[show_url]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Ошибка режима местоположения';


if (isset($_POST['set_them']) && preg_match('#^([A-z0-9\-_\(\)]+)$#ui', $_POST['set_them']) && is_dir(H.'kernel/theme/'.$_POST['set_them']))

{
$user['set_them']=$_POST['set_them'];
mysql_query("UPDATE `user` SET `set_them` = '$user[set_them]' WHERE `id` = '$user[id]' LIMIT 1");
}
elseif (isset($_POST['set_them2']) && preg_match('#^([A-z0-9\-_\(\)]+)$#ui', $_POST['set_them2']) && is_dir(H.'kernel/theme/'.$_POST['set_them2']))
{
$user['set_them2']=$_POST['set_them2'];
mysql_query("UPDATE `user` SET `set_them2` = '$user[set_them2]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Ошибка применения темы';if (isset($_POST['set_p_str']) && is_numeric($_POST['set_p_str']) && $_POST['set_p_str']>0 && $_POST['set_p_str']<=100)
{
$user['set_p_str']=intval($_POST['set_p_str']);
$set['p_str']=$user['set_p_str'];
mysql_query("UPDATE `user` SET `set_p_str` = '$user[set_p_str]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Неправильное количество пунктов на страницу';

if (isset($_POST['set_timesdvig']) && (is_numeric($_POST['set_timesdvig']) && $_POST['set_timesdvig']>=-12 && $_POST['set_timesdvig']<=12))
{
$user['set_timesdvig']=intval($_POST['set_timesdvig']);
mysql_query("UPDATE `user` SET `set_timesdvig` = '$user[set_timesdvig]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Неправильное количество пунктов на страницу';

if (!isset($err)){$_SESSION['message'] = 'Изменения успешно приняты';header("Location: ?"); exit;}
}
err();
aut();

echo "<div id='comments' class='menus'>";

echo "<div class='webmenu'>";
echo "<a href='/user/info/settings.php' class='activ'>Общие</a>";
echo "</div>"; 


echo "<div class='webmenu last'>";echo "<a href='../settings/secure.php' >Пароль</a>";echo "</div>"; 
echo "</div>";

echo "<form method='post' action='?$passgen'>\n";

echo "Пунктов на страницу:<br />\n<input type='text' name='set_p_str' value='$set[p_str]' maxlength='3' /><br />\n";

echo "Тема (".($webbrowser?'WEB':'WAP')."):<br />\n<select name='set_them".($webbrowser?'2':null)."'>\n";
$opendirthem=opendir(H.'kernel/theme');
while ($themes=readdir($opendirthem)){
// пропускаем корневые папки и файлы
if ($themes=='.' || $themes=='..' || !is_dir(H."kernel/theme/$themes"))continue;
// пропускаем темы для определенных браузеров
if (file_exists(H."kernel/theme/$themes/.only_for_".($webbrowser?'wap':'web')))continue;

echo "<option value='$themes'".($user['set_them'.($webbrowser?'2':null)]==$themes?" selected='selected'":null).">".trim(file_get_contents(H.'kernel/theme/'.$themes.'/them.name'))."</option>\n";
}
closedir($opendirthem);
echo "</select><br />\n";


echo "Местоположение:<br />\n<select name='show_url'>\n";
echo "<option value='1'".($user['show_url']==1?" selected='selected'":null).">Показывать</option>\n";
echo "<option value='0'".($user['show_url']==0?" selected='selected'":null).">Скрывать</option>\n";
echo "</select><br />\n";


echo "Время<br />\n<select name=\"set_timesdvig\"><br />\n";
for ($i=-12;$i<12;$i++){
echo "<option value='$i'".($user['set_timesdvig']==$i?" selected='selected'":null).">".date("G:i", $time+$i*60*60)."</option>\n";}
echo "</select><br />\n";


echo "<input type='submit' name='save' value='Сохранить' />\n";
echo "</form>\n";

echo "<div class=\"foot\">\n";
echo "<img src='/kernel/icons/str2.gif' alt='*'> <a href='/info.php?id=$user[id]'>$user[nick]</a> | \n";
echo '<b>Общие</b>';
echo "</div>\n";
require_once H.'kernel/switch/footer.php';
?>